{ config, pkgs, ... }:
{
  home.shellAliases = {
    idot = "dot -Tpng -Gbgcolor=#232627 -Ncolor=white -Nfontcolor=white -Npencolor=white -Ecolor=white -Efontcolor=white -Epencolor=white -Npenwidth=2 -Epenwidth=2 -Nfontname=\"Courier bold\" -Efontname=\"Courier bold\" | timg -";
  };

  programs.zsh = {
    enable = true;
    autosuggestion.enable = false;
    enableCompletion = true;
    enableVteIntegration = true;
    initExtra = ''
      . "$HOME/.cargo/env"
      export GUIX_PROFILE="/home/nora/.config/guix/current"
      if [[ -f "$GUIX_PROFILE/etc/profile" ]]; then
        . "$GUIX_PROFILE/etc/profile"
      fi
      if [[ -d "$HOME/.zsh/functions" ]]; then
        export fpath=(~/.zsh/functions $fpath)
        autoload -U compinit && compinit
      fi
      export NOTESDIR="$HOME/Notes"
      export PATH="$HOME/.bin:$HOME/.local/bin:$NOTESDIR/bin:$PATH"
      fortune
    '';
  };
}
